package com.gamedog.vididin.manager.taskbeans

import java.io.Serializable
import java.util.concurrent.ConcurrentHashMap


data class DailyStateWatchVideoBean(
    var todayStartMs: Long = 0,
): Serializable {

    private val mWatchedMap = ConcurrentHashMap<String, Long>()



    fun clearDatas() {
        mWatchedMap.clear()
        todayStartMs = 0
    }

    fun addWatchedVideoInfo(dataPair: Pair<String, Long>): Boolean {
        if (!mWatchedMap.contains(dataPair.first)) {
            mWatchedMap.put(dataPair.first, dataPair.second)
            return true
        }
        return false
    }



}




